aisleriot (1:3.22.23-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 03:47:17 +0000

aisleriot (1:3.22.23-1) unstable; urgency=medium

  * New upstream release
  * debian/gnome-cards-data.install: Add many new card styles
  * Build with guile-3.0 instead of 2.2 (Closes: #969694)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 03 Jun 2022 09:55:16 -0400

aisleriot (1:3.22.22-1) unstable; urgency=medium

  * New upstream release
  * Drop patch: applied in new release
  * debian/watch: use gitlab.gnome.org tags instead of download.gnome.org

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 31 Mar 2022 08:08:05 -0400

aisleriot (1:3.22.21-1) unstable; urgency=medium

  * New upstream release
  * Build with meson
  * debian/control.in: Build-Depend on libxml2-dev & libxml2-utils
  * debian/docs: NEWS is no longer provided
  * Drop 02_desktop-patch.patch: Shouldn't be required
  * Add patch to fix build with guile-2.2

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 17 Mar 2022 06:52:03 -0400

aisleriot (1:3.22.9-1) unstable; urgency=medium

  * New upstream release
  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Build-Depend on dh-sequence-gnome instead of gnome-pkg-tools
  * Don't run dh_dwz on .go files
  * debian/aisleriot.install: Install /usr/libexec/
  * Bump Standards-Version to 4.4.0
  * Upload to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 14 Sep 2019 18:59:44 -0400

aisleriot (1:3.22.8-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum libgtk-3-dev to 3.18.0

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 11 Mar 2019 18:46:00 -0400

aisleriot (1:3.22.7-2) unstable; urgency=medium

  * Restore -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 23 Dec 2018 17:00:01 -0500

aisleriot (1:3.22.7-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.2.1

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 25 Nov 2018 19:48:14 -0500

aisleriot (1:3.22.6-1) unstable; urgency=medium

  * New upstream release
  * Drop fix-invalid-AppStream-metadata.patch: No longer needed

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 02 Sep 2018 09:46:49 -0400

aisleriot (1:3.22.5-2) unstable; urgency=medium

  * Build with guile-2.2 (Closes: #885191)
  * Exclude .go files from dh_strip since otherwise it will fail the build

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 23 Aug 2018 11:25:13 -0400

aisleriot (1:3.22.5-1) unstable; urgency=medium

  * New upstream release
  * Add missing Build-Depends on docbook-xml
  * Add fix-invalid-AppStream-metadata.patch:
    - Adjust the AppStream metadata file so that it works with GNOME Software
  * Minor updates to debian/copyright

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 12 Mar 2018 17:50:32 -0400

aisleriot (1:3.22.4-3) unstable; urgency=medium

  * Update Vcs fields for migration to https://salsa.debian.org/
  * Disable gconf support (Closes: #886088, #887317)
  * Add debian/NEWS to notify users that previous statistics and preferences
    will not be available after upgrading.

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 25 Jan 2018 07:59:31 -0500

aisleriot (1:3.22.4-2) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * Bump debhelper compat to 11
  * Don't build with gconf support on Ubuntu

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 21 Dec 2017 15:33:25 -0500

aisleriot (1:3.22.4-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 31 Oct 2017 11:14:53 +0100

aisleriot (1:3.22.3-1) unstable; urgency=medium

  * New upstream translations release
  * Bump Standards-Version to 4.1.1

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 14 Oct 2017 12:50:05 -0400

aisleriot (1:3.22.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/aisleriot.install: appstream metadata now installed to
    /usr/share/metainfo instead of previous /usr/share/appdata

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 01 Jul 2017 11:34:10 +0200

aisleriot (1:3.22.1-1) unstable; urgency=medium

  * New upstream reelase.
  * Stop setting CONFIG_SHELL=/bin/bash, doesn't seem to be necessary anymore.
    Most likely a side-effect of automatic dh-autoreconf.
  * Drop override for dh_auto_build. The upstream build system now passes -n
    to gzip, so no timestamps are stored in the compressed file.

 -- Michael Biebl <biebl@debian.org>  Tue, 08 Nov 2016 00:01:18 +0100

aisleriot (1:3.22.0-1) unstable; urgency=medium

  * Convert from cdbs to dh.
  * Bump dh compat to 10 (automatic dh-autoreconf)
  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 19 Sep 2016 15:53:55 +0200

aisleriot (1:3.20.2-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Thu, 12 May 2016 16:22:29 +0200

aisleriot (1:3.20.1-1) unstable; urgency=medium

  [ Pedro Beja ]
  * New upstream release.

  [ Andreas Henriksson ]
  * Semi-artificially bump gtk+ build-dependency to 3.20 (Closes: #821319)
    - avoids version built against old gtk+ to segfault with gtk+ >= 3.20.
  * Bump Standards-Version to 3.9.8
  * Set team address as Maintainer instead of joss.
  * Bump debhelper compat to 9.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 18 Apr 2016 18:00:33 +0200

aisleriot (1:3.18.2-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Wed, 11 Nov 2015 16:43:14 +0100

aisleriot (1:3.18.1-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 13 Oct 2015 23:58:13 +0200

aisleriot (1:3.18.0-1) unstable; urgency=medium

  [ Michael Biebl ]
  * Drop Breaks/Replaces from pre-wheezy.

  [ Josselin Mouette ]
  * Remove Debian menu entry.

  [ Pedro Beja ]
  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 27 Sep 2015 10:26:53 +0200

aisleriot (1:3.16.2-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Make the build reproducible. Patch from Chris Lamb. Closes: #777507.

  [ Andreas Henriksson ]
  * New upstream release.
  * Drop appdata-tools build-dependency, no longer needed.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 19 May 2015 15:18:22 +0200

aisleriot (1:3.14.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Homepage URL.
  * Bump Standards-Version to 3.9.6. No further changes.

 -- Michael Biebl <biebl@debian.org>  Tue, 14 Oct 2014 01:33:47 +0200

aisleriot (1:3.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Add build-dependency on appdata-tools
    - needs appdata-validate
  * Use dh-autoreconf and use it for --as-needed
  * debian/rules: ensure bash shell is used to avoid issues in ltmain.sh
  * debian/aisleriot.install: ship usr/share/appdata

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 23 Sep 2014 21:19:18 +0200

aisleriot (1:3.10.2-1) unstable; urgency=medium

  [ Peter Michael Green ]
  * Set pysol card themes base explicitly because configure script doesn't
    recognise raspbian.

  [ Jackson Doak ]
  * New upstream release

  [ Emilio Pozuelo Monfort ]
  * The new version adds a workaround to the cards being invisible while
    dragged. Closes: #740315.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 01 Mar 2014 13:56:17 +0100

aisleriot (1:3.10.1-1) unstable; urgency=low

  [ Jeremy Bicha ]
  * New upstream release. 1:3.9.90-1
  * debian/control.in:
    - Lower GTK dependency back to 3.4
    - Update homepage

  [ Jackson Doak ]
  * New upstream release (v3.10.0)

  [ Andreas Henriksson ]
  * New upstream release (v3.10.1)
  * Bump Standards-Version to 3.9.4

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 17 Oct 2013 23:33:36 +0200

aisleriot (1:3.8.0-2) unstable; urgency=low

  * debian/control.in:
    + Bump libgtk-3-dev build dependency to 3.6, needed for
      gtk_application_get_active_window().

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 27 May 2013 21:27:01 +0200

aisleriot (1:3.8.0-1) unstable; urgency=low

  [ Jeremy Bicha ]
  * New upstream release.
  * debian/control.in:
    - Build-depend on desktop-file-utils
    - Recommend yelp
    - Remove obsolete libgstreamer build-depends

  [ Robert Ancell ]
  * debian/aisleriot.install:
  * debian/aisleriot.menu:
  * debian/patches/02_desktop-path.patch:
  * debian/pixmaps/freecell.xpm:
    - Updated as freecell.desktop is removed

  [ Rico Tzschichholz ]
  * debian/control.in: Bump Build-Deps on libgtk-3-dev (>= 3.4.0),
    libglib2.0-dev (>= 2.32.0)

  [ Emilio Pozuelo Monfort ]
  * debian/watch:
    + Fixed, it wasn't tracking new versions.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 25 May 2013 19:56:23 +0200

aisleriot (1:3.4.1-1) unstable; urgency=low

  [ Jeremy Bicha ]
  * New upstream release
  * debian/control.in: (Build)-depend on guile-2.0
  * debian/*.install: Cards files are now stored as zipped .svg's
  * debian/patches/99_format-security.patch: Dropped, applied upstream

  [ Jordi Mallach ]
  * New upstream release.
  * Update copyright to final version of the machine-readable 1.0 spec.
  * Bump Standards Version to 3.9.3.

 -- Jordi Mallach <jordi@debian.org>  Sun, 22 Apr 2012 12:49:26 +0200

aisleriot (1:3.2.2-1) unstable; urgency=low

  [ Jeremy Bicha ]
  * Initial release (LP: #813428)
    - Aisleriot is no longer shipped as part of gnome-games
    - Re-enabled "Aunt Mary", a frustratingly difficult Klondike variation
      (LP: #478558)
  * debian/control: Build-depends on yelp-tools
  * debian/copyright: Fixed a few lintian warnings

  [ Felix Geyer ]
  * Fix FTBFS with -Werror=format-security. (LP: #890889)
    - Add 03_format-security.patch.

  [ Jordi Mallach ]
  * Sync from Ubuntu.
  * Watch for .xz tarballs.
  * Bump to debhelper 8.
  * Strip debian/tmp prefix from install paths.
  * Don't autoreconf, we don't need it.
  * Remove Conflicts/Replaces on self-package.
  * Replace versioned Conflicts with Breaks.
  * Drop obsolete 03_format-security.patch in favour of upstream fix.
  * Use versioned copyright Format URL.

 -- Jordi Mallach <jordi@debian.org>  Tue, 22 Nov 2011 13:07:11 +0100
